PDA

View Full Version : Can't update Fedora



PuNkY
16th May 2007, 03:45 AM
I have 276 updates avaliable and I can't get them. When I try to update it freezes and then I get an error:

Error resolving dependencies
Unable to resolve dependencies for some packages selected for installation.

Missing Dependency: geroimo-specs = 1.0-0.M2.2jpp.12 is needed by package geronimo-specs-compat

How to I get this dependency so I can update?

Please, any help will be appreciated.

BTW I get the same error using the "yum" update in terminal.

Seve
16th May 2007, 03:57 AM
Hello:
Try using yum from a terminal logged in as root using
su -
yourpassword

Then first.

yum update yum
then
yum -y install yumex

Then
yum clean all
then use yumex to select your updates .... 30-50 packages at a time and see if that gets you by your current problem.

You can find yumex installed under Applications / System Tools / Yum Extender

Seve

PuNkY
16th May 2007, 07:50 AM
Well that helped getting some updates in, but still get that error.

And when I try to install the dependency I get even more missing dependency errors.

Ugh, please help.

markkuk
16th May 2007, 10:32 AM
What repositories do you have enabled? Post the complete output from yum update, "even more missing dependency errors" doesn't tell anything useful.